View Issue Details

IDProjectCategoryView StatusLast Update
0002319SOGoOpenChange backendpublic2013-09-25 14:31
Reporteronofabio Assigned To 
PrioritynormalSeverityblockReproducibilityhave not tried
Status closedResolutionfixed 
Target Version2.1.0Fixed in Version2.1.0 
Summary0002319: Samba lost mysql connection
Description

Every morning I need to restart samba service on my sogo test server.

Without this operation, I can't connect with outlook.
This is only test server, that not receive or send mail during night.

Today I see this rows in samba log:

2013-05-13 07:54:10.841 samba[2436] <MySQL4Channel[0x0x17ffc00] connection=0x0x2116900> SQL: SELECT count(*) FROM socfs_sogo1;
2013-05-13 07:54:10.861 samba[2436] <MySQL4Channel[0x0x17ffc00] connection=0x0x2116900> ERROR: MySQL server has gone away
2013-05-13 07:54:10.861 samba[2436] <MySQL4Channel[0x0x17ffc00] connection=0x0x2116900> SQL: CREATE TABLE socfs_sogo1 ( c_path VARCHAR(255) PRIMARY KEY, c_parent_path VARCHAR(255), c_type TINYINT NOT NULL, c_creationdate INT NOT NULL, c_lastmodified INT NOT NULL, c_version INT NOT NULL DEFAULT 0, c_deleted TINYINT NOT NULL DEFAULT 0, c_content LONGTEXT);
2013-05-13 07:54:10.861 samba[2436] <MySQL4Channel[0x0x17ffc00] connection=0x0x2116900> ERROR: MySQL server has gone away
/usr/sbin/samba: Uncaught exception MAPIStoreIOException, reason: could not create special table 'socfs_sogo1'
[2013/05/13 07:54:11, 0] mapiproxy/servers/default/nspi/dcesrv_exchange_nsp.c:1394(dcesrv_exchange_nsp_unbind)
dcesrv_exchange_nsp_unbind

Maybe with no activity on server, samba lost connection with mysql and need restart to work correctly.

TagsNo tags attached.

Relationships

has duplicate 0002303 resolvedludovic samba 4 panic au loggin de outlook 

Issue History

Date Modified Username Field Change
2013-05-13 05:37 onofabio New Issue
2013-06-25 11:46 ludovic Relationship added has duplicate 0002303
2013-06-25 11:47 ludovic Project SOGo Connector => SOGo
2013-06-25 11:47 ludovic Category with SOGo => OpenChange backend
2013-06-25 11:47 ludovic Target Version => 2.0.7
2013-07-19 10:18 ludovic Target Version 2.0.7 => 2.1.0
2013-09-25 14:31 ludovic Note Added: 0006038
2013-09-25 14:31 ludovic Status new => closed
2013-09-25 14:31 ludovic Resolution open => fixed
2013-09-25 14:31 ludovic Fixed in Version => 2.1.0